"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Copy = void 0;
const constants_1 = require("../constants");
const path_1 = __importDefault(require("path"));
class Copy {
    getGruntConfig() {
        return {
            copy: {
                aws_downloads: {
                    files: [
                        {
                            expand: true,
                            dot: true,
                            dest: path_1.default.join(constants_1.BUILD_DIR, 'download/ih-uploads', process.env.EPCC_ENV),
                            src: path_1.default.join(constants_1.BUILD_DIR, 'download/ih-uploads', process.env.EPCC_ENV, '*.gz.bin'),
                            rename: function (dest, src) {
                                const filename = path_1.default.parse(src).base.replace('.bin', '');
                                const target = path_1.default.join(dest, filename);
                                console.log(`copy ${src} to ${target}`);
                                return target;
                            },
                        },
                    ],
                },
                rename_store_config_file: {
                    files: [
                        {
                            expand: true,
                            dot: true,
                            dest: constants_1.CONFIG_MERGE_DIR,
                            src: constants_1.STORE_CONFIG_SOURCE,
                            rename: function (dest, src) {
                                const filename = path_1.default.parse(src).base;
                                const target = path_1.default.join(dest, filename);
                                console.log(`copy ${src} to ${target}`);
                                return target;
                            },
                        },
                    ],
                },
                store_config: {
                    files: [
                        {
                            expand: true,
                            dot: true,
                            dest: constants_1.BUILD_DIR,
                            src: constants_1.CONFIG_MERGE_FILE,
                            rename: function (dest, src) {
                                const filename = path_1.default.parse(src).base;
                                const target = path_1.default.join(dest, filename);
                                console.log(`copy ${src} to ${target}`);
                                return target;
                            },
                        },
                    ],
                },
                rename_s3_bin_downloads: {
                    files: [
                        {
                            expand: true,
                            dot: true,
                            dest: './',
                            src: [path_1.default.join(constants_1.BUILD_DIR, 'download/ih-uploads', process.env.EPCC_ENV, '*.bin')],
                            rename: function (dest, src) {
                                console.log(`copy ${src} to ${dest} and rename by removing ".bin"`);
                                return dest + src.replace('.bin', '');
                            },
                        },
                    ],
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-contrib-copy');
    }
}
exports.Copy = Copy;
