"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Replace = void 0;
const constants_1 = require("../constants");
const path_1 = __importDefault(require("path"));
class Replace {
    getGruntConfig() {
        return {
            replace: {
                loader_trigger_body: {
                    options: {
                        patterns: [
                            {
                                match: 'NODE_URL',
                                replacement: [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, 'nodes.jsonl.gz.bin'].join('/'),
                            },
                            {
                                match: 'PRODUCTS_URL',
                                replacement: [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, 'products.jsonl.gz.bin'].join('/'),
                            },
                            {
                                match: 'PRICES_URL',
                                replacement: [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, 'prices.jsonl.gz.bin'].join('/'),
                            },
                            {
                                match: 'INVENTORY_URL',
                                replacement: [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, 'inventory.jsonl.gz.bin'].join('/'),
                            },
                            {
                                match: 'PROD_ASSOC_URL',
                                replacement: [
                                    process.env.AWS_Bucket_URL,
                                    process.env.AWS_Bucket_Folder,
                                    'prod-assoc.jsonl.gz.bin',
                                ].join('/'),
                            },
                        ],
                    },
                    files: [
                        {
                            expand: true,
                            flatten: true,
                            src: [path_1.default.join(constants_1.BUILD_DIR, '*.params.json')],
                            dest: path_1.default.join(constants_1.BUILD_DIR),
                        },
                    ],
                },
                store_config: {
                    options: {
                        patterns: [],
                    },
                    files: [
                        {
                            expand: true,
                            flatten: true,
                            src: [constants_1.STORE_CONFIG_SOURCE],
                            dest: path_1.default.join(constants_1.BUILD_DIR),
                        },
                    ],
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-replace');
    }
}
exports.Replace = Replace;
