"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOotbFeatures = void 0;
const aws_s3_1 = require("./features/aws-s3");
const clean_1 = require("./features/clean");
const concat_1 = require("./features/concat");
const copy_1 = require("./features/copy");
const create_loader_specs_1 = require("./features/create-loader-specs");
const gunzip_1 = require("./features/gunzip");
const compress_1 = require("./features/compress");
const http_1 = require("./features/http");
const json2jsonl_1 = require("./features/json2jsonl");
const jsonl2json_1 = require("./features/jsonl2json");
const merge_store_config_1 = require("./features/merge-store-config");
const replace_1 = require("./features/replace");
const regex_replace_1 = require("./features/regex-replace");
const task_workflows_1 = require("./features/task-workflows");
const typescript_1 = require("./features/typescript");
const validate_env_1 = require("./features/validate-env");
const validate_import_1 = require("./features/validate-import");
function getOotbFeatures() {
    return [
        new typescript_1.TypeScript(),
        new clean_1.Clean(),
        new copy_1.Copy(),
        new concat_1.Concat(),
        new replace_1.Replace(),
        new regex_replace_1.RegexReplace(),
        new json2jsonl_1.Json2JsonL(),
        new jsonl2json_1.JsonL2Json(),
        new compress_1.Compress(),
        new gunzip_1.GUnZip(),
        new aws_s3_1.AwsS3(),
        new http_1.Http(),
        new validate_env_1.ValidateEnv(),
        new merge_store_config_1.MergeStoreConfig(),
        new validate_import_1.ValidateImport(),
        new create_loader_specs_1.CreateLoaderSpecs(),
        new task_workflows_1.TaskWorkflows(),
    ];
}
exports.getOotbFeatures = getOotbFeatures;
