import { BUILD_DIR, CONFIG_MERGE_DIR, CONFIG_MERGE_FILE, STORE_CONFIG_SOURCE } from '../constants';
import path from 'path';
export class Copy {
    getGruntConfig() {
        return {
            copy: {
                aws_downloads: {
                    files: [
                        {
                            expand: true,
                            dot: true,
                            dest: path.join(BUILD_DIR, 'download/ih-uploads', process.env.EPCC_ENV),
                            src: path.join(BUILD_DIR, 'download/ih-uploads', process.env.EPCC_ENV, '*.gz.bin'),
                            rename: function (dest, src) {
                                const filename = path.parse(src).base.replace('.bin', '');
                                const target = path.join(dest, filename);
                                console.log(`copy ${src} to ${target}`);
                                return target;
                            },
                        },
                    ],
                },
                rename_store_config_file: {
                    files: [
                        {
                            expand: true,
                            dot: true,
                            dest: CONFIG_MERGE_DIR,
                            src: STORE_CONFIG_SOURCE,
                            rename: function (dest, src) {
                                const filename = path.parse(src).base;
                                const target = path.join(dest, filename);
                                console.log(`copy ${src} to ${target}`);
                                return target;
                            },
                        },
                    ],
                },
                store_config: {
                    files: [
                        {
                            expand: true,
                            dot: true,
                            dest: BUILD_DIR,
                            src: CONFIG_MERGE_FILE,
                            rename: function (dest, src) {
                                const filename = path.parse(src).base;
                                const target = path.join(dest, filename);
                                console.log(`copy ${src} to ${target}`);
                                return target;
                            },
                        },
                    ],
                },
                rename_s3_bin_downloads: {
                    files: [
                        {
                            expand: true,
                            dot: true,
                            dest: './',
                            src: [path.join(BUILD_DIR, 'download/ih-uploads', process.env.EPCC_ENV, '*.bin')],
                            rename: function (dest, src) {
                                console.log(`copy ${src} to ${dest} and rename by removing ".bin"`);
                                return dest + src.replace('.bin', '');
                            },
                        },
                    ],
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-contrib-copy');
    }
}
