export class CreateLoaderSpecs {
    getGruntConfig() {
        return { create_loader_specs: { create_all_http_payload: {} } };
    }
    registerTasks(grunt) {
        grunt.registerMultiTask('create_loader_specs', function () {
            createLoaderSpecs(grunt);
        });
    }
}
export const createLoaderSpecs = function (grunt) {
    const PAGESIZE = 50;
    grunt.file.write('build/' + process.env.EPCC_ENV + '/nodes.params.json', JSON.stringify({
        gzipFileUrls: ['@@NODE_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write('build/' + process.env.EPCC_ENV + '/products.params.json', JSON.stringify({
        gzipFileUrls: ['@@PRODUCTS_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write('build/' + process.env.EPCC_ENV + '/prices.params.json', JSON.stringify({
        gzipFileUrls: ['@@PRICES_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write('build/' + process.env.EPCC_ENV + '/inventory.params.json', JSON.stringify({
        gzipFileUrls: ['@@INVENTORY_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
    grunt.file.write('build/' + process.env.EPCC_ENV + '/prod-assoc.params.json', JSON.stringify({
        gzipFileUrls: ['@@PROD_ASSOC_URL'],
        fileIndex: 0,
        page: 0,
        pageSize: PAGESIZE,
    }, null, 2));
};
