import { BUILD_DIR, STORE_CONFIG_SOURCE } from '../constants';
import path from 'path';
export class Replace {
    getGruntConfig() {
        return {
            replace: {
                loader_trigger_body: {
                    options: {
                        patterns: [
                            {
                                match: 'NODE_URL',
                                replacement: [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, 'nodes.jsonl.gz.bin'].join('/'),
                            },
                            {
                                match: 'PRODUCTS_URL',
                                replacement: [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, 'products.jsonl.gz.bin'].join('/'),
                            },
                            {
                                match: 'PRICES_URL',
                                replacement: [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, 'prices.jsonl.gz.bin'].join('/'),
                            },
                            {
                                match: 'INVENTORY_URL',
                                replacement: [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, 'inventory.jsonl.gz.bin'].join('/'),
                            },
                            {
                                match: 'PROD_ASSOC_URL',
                                replacement: [
                                    process.env.AWS_Bucket_URL,
                                    process.env.AWS_Bucket_Folder,
                                    'prod-assoc.jsonl.gz.bin',
                                ].join('/'),
                            },
                        ],
                    },
                    files: [
                        {
                            expand: true,
                            flatten: true,
                            src: [path.join(BUILD_DIR, '*.params.json')],
                            dest: path.join(BUILD_DIR),
                        },
                    ],
                },
                store_config: {
                    options: {
                        patterns: [],
                    },
                    files: [
                        {
                            expand: true,
                            flatten: true,
                            src: [STORE_CONFIG_SOURCE],
                            dest: path.join(BUILD_DIR),
                        },
                    ],
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-replace');
    }
}
